Package org.apache.activemq.artemis.jms.server.config.impl

## Class JMSConfigurationImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.server.config.impl.JMSConfigurationImpl

- All Implemented Interfaces:
    `JMSConfiguration`
  Direct Known Subclasses:
    `FileJMSConfiguration`

      public class JMSConfigurationImpl
      extends java.lang.Object
      implements JMSConfiguration

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JMSConfigurationImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.URL` | `getConfigurationUrl()` |
    `java.util.List<ConnectionFactoryConfiguration>` | `getConnectionFactoryConfigurations()` |
    `java.lang.String` | `getDomain()` |
    `java.util.List<JMSQueueConfiguration>` | `getQueueConfigurations()` |
    `java.util.List<TopicConfiguration>` | `getTopicConfigurations()` |
    `JMSConfiguration` | `setConfigurationUrl​(java.net.URL configurationUrl)` |
    `JMSConfigurationImpl` | `setConnectionFactoryConfigurations​(java.util.List<ConnectionFactoryConfiguration> connectionFactoryConfigurations)` |
    `JMSConfigurationImpl` | `setDomain​(java.lang.String domain)` |
    `JMSConfigurationImpl` | `setQueueConfigurations​(java.util.List<JMSQueueConfiguration> queueConfigurations)` |
    `JMSConfigurationImpl` | `setTopicConfigurations​(java.util.List<TopicConfiguration> topicConfigurations)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSConfigurationImpl

          public JMSConfigurationImpl()

  - ### Method Detail

    - #### getConnectionFactoryConfigurations

          public java.util.List<ConnectionFactoryConfiguration> getConnectionFactoryConfigurations()

      Specified by:
        `getConnectionFactoryConfigurations` in interface `JMSConfiguration`

    - #### setConnectionFactoryConfigurations

          public JMSConfigurationImpl setConnectionFactoryConfigurations​(java.util.List<ConnectionFactoryConfiguration> connectionFactoryConfigurations)

      Specified by:
        `setConnectionFactoryConfigurations` in interface `JMSConfiguration`

    - #### getQueueConfigurations

          public java.util.List<JMSQueueConfiguration> getQueueConfigurations()

      Specified by:
        `getQueueConfigurations` in interface `JMSConfiguration`

    - #### setQueueConfigurations

          public JMSConfigurationImpl setQueueConfigurations​(java.util.List<JMSQueueConfiguration> queueConfigurations)

      Specified by:
        `setQueueConfigurations` in interface `JMSConfiguration`

    - #### getTopicConfigurations

          public java.util.List<TopicConfiguration> getTopicConfigurations()

      Specified by:
        `getTopicConfigurations` in interface `JMSConfiguration`

    - #### setTopicConfigurations

          public JMSConfigurationImpl setTopicConfigurations​(java.util.List<TopicConfiguration> topicConfigurations)

      Specified by:
        `setTopicConfigurations` in interface `JMSConfiguration`

    - #### getDomain

          public java.lang.String getDomain()

      Specified by:
        `getDomain` in interface `JMSConfiguration`

    - #### setDomain

          public JMSConfigurationImpl setDomain​(java.lang.String domain)

      Specified by:
        `setDomain` in interface `JMSConfiguration`

    - #### getConfigurationUrl

          public java.net.URL getConfigurationUrl()

      Specified by:
        `getConfigurationUrl` in interface `JMSConfiguration`

    - #### setConfigurationUrl

          public JMSConfiguration setConfigurationUrl​(java.net.URL configurationUrl)

      Specified by:
        `setConfigurationUrl` in interface `JMSConfiguration`